Projets/Projet Web ( Laravel PHP )/myphonebook/routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\EntrepriseController;
use App\Http\Controllers\CollaborateurController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/menu', function () {
    return view('greeting');
});

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth'])->name('dashboard');



Route::get('/test', function () {
    return 'test';
});

Route::resource('entreprise', EntrepriseController::class);
Route::resource('collab', CollaborateurController::class);

Route::get('/admin',function(){
    if (! Gate::allows('access-admin')) {
        return 'non';
    }
    return 'admin';
});

require __DIR__.'/auth.php';

Projets/Projet Web ( Laravel PHP )/myphonebook/app/Models/Entreprise.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class entreprise extends Model
{
    use HasFactory;

    protected $fillable= [
        'nom',
        'rue',
        'code_postal',
        'ville',
        'tel',
        'mail'
    ];




    protected $table = 'entreprises';

    public function collaborateurs(){
        return $this->hasMany(Collaborateur::class);
    }
}

Projets/Projet Web ( Laravel PHP )/myphonebook/app/Http/Controllers/EntrepriseController.php
<?php

namespace App\Http\Controllers;


use App\Models\Entreprise;
use Illuminate\Http\Request;


class EntrepriseController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $this->authorize('viewAny', Entreprise::class);
        $entreprises = Entreprise::all();
        
        $nom = $request->input('nom');
        $ville = $request->input('ville');
        $email = $request->input('email');
        //dd($entreprises);
         return view('entreprise.index',[
             'entreprises'=>$entreprises,
             'nom'=>$nom,
             'ville'=>$ville,
             'email'=>$email
         ]);
         dd($request);
        //return view('entreprise.index');
        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $this->authorize('create', Entreprise::class);
        return view('entreprise.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->authorize('create', Entreprise::class);
        $validated = $request->validate([
            'nom' => 'required',
            'rue' => 'required',
            'code_postal' => 'required',
            'ville' => 'required',
            'tel' => '',
            'mail' => 'required',
        ]);
       $entreprise = new Entreprise;

       $entreprise->nom = $validated["nom"];
       $entreprise->rue = $validated["rue"];
       $entreprise->code_postal = $validated["code_postal"];
       $entreprise->ville = $validated["ville"];
       $entreprise->tel = $validated["tel"];
       $entreprise->mail = $validated["mail"];

       $entreprise->save();
       return redirect()->route('entreprise.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $this->authorize('viewAny', Entreprise::class);
        $entreprise = Entreprise::find($id);
        return view('entreprise.show', 
        ['entreprise'=>$entreprise]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Entreprise $entreprise)
    {
        $this->authorize('create', Entreprise::class);
        return view('entreprise.edit', 
        ['entreprise'=> $entreprise]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Entreprise $entreprise)
    {
        $this->authorize('create', Entreprise::class);
        $validated = $request->validate([
           'nom' => 'required',
           'rue' => 'required',
           'code_postal' => 'required',
           'ville' => 'required',
           'tel' => '',
           'mail' => 'required',
       ]);

       ////EntrepriseController::create($validated);

       $entreprise->nom = $validated["nom"];
       $entreprise->rue = $validated["rue"];
       $entreprise->code_postal = $validated["code_postal"];
       $entreprise->ville = $validated["ville"];
       $entreprise->tel = $validated["tel"];
       $entreprise->mail = $validated["mail"];

       $entreprise->save();
    
       return redirect()->route('entreprise.show',['entreprise'=>$entreprise->id]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Entreprise $entreprise)
    {
        $this->authorize('delete', Entreprise::class);
        $entreprise->delete();
        return redirect()->route('entreprise.index');
    }
}

Projets/Projet Web ( Laravel PHP )/myphonebook/resources/views/entreprise/create.blade.php
@extends("layouts.default")

@section('main')
<a href="http://127.0.0.1:8000/menu"><button>accueil</button></a>
<a href="http://127.0.0.1:8000/entreprise"><button>entreprises</button></a>
    <a href="http://127.0.0.1:8000/collab"><button>collaborateurs</button></a>
    <form action="{{route('entreprise.store')}}" method="POST">
        @csrf

        <input type="text" placeholder='nom' name="nom" required="required" >

        <input type="text" placeholder='rue' name="rue" required="required">

        <input type="text" minlength="5" maxlength="5" placeholder='code postal' name="code_postal" required="required" pattern="[0-9]*" >

        <input type="text" placeholder='ville' name="ville" required="required">

        <input type="text" placeholder='tel' name="tel" minlength="10" maxlength="10" pattern="[0-9]*">

        <input type="email" placeholder='mail' name="mail" required='requiered'> 

        <input type="submit" value="Ajouter" >
    </form>

    <a href="http://127.0.0.1:8000/entreprise"><button>liste des enterprises</button></a>
@endsection

Projets/Projet Web ( Laravel PHP )/myphonebook/resources/views/entreprise/edit.blade.php
@extends("layouts.default")

@section('main')
    <a href="http://127.0.0.1:8000/menu"><button>accueil</button></a>
    <a href="http://127.0.0.1:8000/entreprise"><button>entreprises</button></a>
    <a href="http://127.0.0.1:8000/collab"><button>collaborateurs</button></a>
    <form action="{{route('entreprise.update', $entreprise->id)}}" method="POST">
        @csrf

        @method('PUT')

        <input type="text" placeholder='name' name="nom" required="required" value='{{$entreprise->nom}}' >

        <input type="text" placeholder='rue' name="rue" required="required" value='{{$entreprise->rue}}'>

        <input type="text" minlength="5" maxlength="5" placeholder='code postal' name="code_postal" required="required" pattern="[0-9]*" value='{{$entreprise->code_postal}}' >

        <input type="text" placeholder='ville' name="ville" required="required" value='{{$entreprise->ville}}'>

        <input type="text" placeholder='tel' name="tel" minlength="10" maxlength="10" pattern="[0-9]*" value='{{$entreprise->tel}}'>

        <input type="email" placeholder='mail' name="mail" required='requiered' value='{{$entreprise->mail}}'> 

        <input type="submit" value="Modifier" >
    </form>
    <a href="http://127.0.0.1:8000/entreprise"><button>liste des enterprises</button></a>
@endsection

Projets/Projet Web ( Laravel PHP )/myphonebook/resources/views/entreprise/index.blade.php
@extends("layouts.default")

@section('main')
    <a href="http://127.0.0.1:8000/menu"><button>accueil</button></a>
    <a href="http://127.0.0.1:8000/entreprise"><button>entreprises</button></a>
    <a href="http://127.0.0.1:8000/collab"><button>collaborateurs</button></a>

    <ul>
        <li class='entli'>nom</li>
        <li class='entli'>tel</li>
        <li class='entli'>mail</li>
        <li class='entli'>code_postal</li>
        <li class='entli'>enteprise_id</li>
    </ul>
    @foreach($entreprises as $entreprise)
    <ul>
        <li class='entli'> {{$entreprise->nom}}</li>
        <li class='entli'>0{{$entreprise->tel}}</li>
        <li class='entli'> {{$entreprise->mail}}</li>
        <li class='entli'> {{$entreprise->code_postal}}</li>
        <li class='entli'> {{$entreprise->id}}</li>
        <li class='entli'><a href="http://127.0.0.1:8000/entreprise/{{$entreprise->id}}"><button>VOIR</button></a></li>
    </ul>
    @endforeach
    @can('create', $entreprise)

        <a href="http://127.0.0.1:8000/entreprise/create"><button>ajouter une entreprises</button></a>
    @endcan
    <div class='oui'></div>
    <form action="{{route('entreprise.index')}}" method="get">
    @csrf
    <h3>Recherche</h3>
        <input type="text" placeholder='nom' name="nom" >
        <input type="text" placeholder='ville' name="ville" >
        <input type="email" placeholder='email' name="email" >
        <input type="submit" value="chercher" >
    </form>

    @if($nom !=="")
    @foreach($entreprises as $entreprise)
        @if($entreprise->nom === $nom)
            <ul>
                <li class='entli'> {{$entreprise->nom}}</li>
                <li class='entli'>0{{$entreprise->tel}}</li>
                <li class='entli'> {{$entreprise->mail}}</li>
                <li class='entli'> {{$entreprise->code_postal}}</li>
                <li class='entli'> {{$entreprise->id}}</li>
                <li class='entli'><a href="http://127.0.0.1:8000/entreprise/{{$entreprise->id}}"><button>VOIR</button></a></li>
            </ul>
        @endif
    @endforeach
    @endif

    @if($ville !=="")
    @foreach($entreprises as $entreprise)
        @if($entreprise->ville === $ville)
            <ul>
                <li class='entli'> {{$entreprise->nom}}</li>
                <li class='entli'>0{{$entreprise->tel}}</li>
                <li class='entli'> {{$entreprise->mail}}</li>
                <li class='entli'> {{$entreprise->code_postal}}</li>
                <li class='entli'> {{$entreprise->id}}</li>
                <li class='entli'><a href="http://127.0.0.1:8000/entreprise/{{$entreprise->id}}"><button>VOIR</button></a></li>
            </ul>
        @endif
    @endforeach
    @endif

    @if($email !=="")
    @foreach($entreprises as $entreprise)
        @if($entreprise->mail === $email)
            <ul>
                <li class='entli'> {{$entreprise->nom}}</li>
                <li class='entli'>0{{$entreprise->tel}}</li>
                <li class='entli'> {{$entreprise->mail}}</li>
                <li class='entli'> {{$entreprise->code_postal}}</li>
                <li class='entli'> {{$entreprise->id}}</li>
                <li class='entli'><a href="http://127.0.0.1:8000/entreprise/{{$entreprise->id}}"><button>VOIR</button></a></li>
            </ul>
        @endif
    @endforeach
    @endif

@endsection

Projets/Projet Web ( Laravel PHP )/myphonebook/resources/views/entreprise/show.blade.php
@extends("layouts.default")

@section('main')
<a href="http://127.0.0.1:8000/menu"><button>accueil</button></a>
<a href="http://127.0.0.1:8000/entreprise"><button>entreprises</button></a>
<a href="http://127.0.0.1:8000/collab"><button>collaborateurs</button></a>
<ul>
        <li class='entli'>nom</li>
        <li class='entli'>tel</li>
        <li class='entli'>mail</li>
        <li class='entli'>code_postal</li>
    </ul>
    <ul>
        <li class='entli'> {{$entreprise->nom}}</li>
        <li class='entli'>0{{$entreprise->tel}}</li>
        <li class='entli'> {{$entreprise->mail}}</li>
        <li class='entli'> {{$entreprise->code_postal}}</li>
    </ul>

    @can('create', $entreprise)
                <a href="{{route('entreprise.edit',$entreprise->id)}}"><button>Modifier</button></a>
    @endcan
    <div class='oui'></div>
    @can('delete', $entreprise)
<form action="{{route('entreprise.destroy',$entreprise->id)}}" method="post">
        @csrf
        @method('DELETE')
        <button type="submit">Supprimer</button>
    </form>
    @endcan
    <br>
    <a href="http://127.0.0.1:8000/entreprise"><button>liste des enterprises</button></a>
@endsection